<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.storePlantform.StoreOperationalActivityMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="shop.alien.entity.storePlatform.StoreOperationalActivity">
        <id column="id" property="id" />
        <result column="store_id" property="storeId" />
        <result column="activity_name" property="activityName" />
        <result column="promotional_image" property="promotionalImage" />
        <result column="start_time" property="startTime" />
        <result column="end_time" property="endTime" />
        <result column="participation_limit" property="participationLimit" />
        <result column="activity_rule" property="activityRule" />
        <result column="reward_type" property="rewardType" />
        <result column="coupon_id" property="couponId" />
        <result column="coupon_quantity" property="couponQuantity" />
        <result column="status" property="status" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="created_time" property="createdTime" />
        <result column="created_user_id" property="createdUserId" />
        <result column="updated_time" property="updatedTime" />
        <result column="updated_user_id" property="updatedUserId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, store_id, activity_name, promotional_image, start_time, end_time, participation_limit, activity_rule, reward_type, coupon_id, coupon_quantity, status, delete_flag, created_time, created_user_id, updated_time, updated_user_id
    </sql>

</mapper>

